import React, { PropTypes } from 'react'
import { css } from 'glamor'
import cx from 'classnames'

const parseTransform = (transform) => css({
  transform
})

const parseProps = ({ transform, className, ...props }) => ({
  className: transform !== undefined ? cx(`${parseTransform(transform)}`, className) : className,
  ...props
})

const withTransform = (Comp) => {
  const TransformComp = props => React.createElement(Comp, parseProps(props))

  TransformComp.propTypes = {
    ...Comp.propTypes,
    transform: PropTypes.string
  }

  TransformComp.displayName = Comp.displayName

  return TransformComp
}

export {
  withTransform
}
