import React from 'react';
import { storiesOf, action, linkTo } from '@kadira/storybook'
import {
  App,
  Box,
  Input,
  Pane,
  Content,
  ValidationMessage
} from '../components'

export default function validationMessageStory (module) {
  storiesOf('Validation Message', module)
    .add('usage', () => (
      <App white>
        <Pane white padding={10}>
          <Content markdown>
{`
# Validation Message

The ValidationMessage component is used under a  \`Input\` component. Implement the \`<Box />\` component.

\`\`\`
<Input warning />
<ValidationMessage>Please fill in a valid email</ValidationMessage>
\`\`\`

`}
          </Content>
          <Input warning />
          <ValidationMessage>Please fill in a valid email</ValidationMessage>
        </Pane>
      </App>
    ))
    .add('standalone', () => (
      <ValidationMessage>Please fill in a valid email</ValidationMessage>
    ))
}
